package com.yunzhi.marketing.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.yunzhi.marketing.entity.TdMiniappTemplateType;
import com.yunzhi.marketing.mapper.TdMiniappTemplateTypeMapper;
import com.yunzhi.marketing.service.ITdMiniappTemplateTypeService;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class TdMiniappTemplateTypeServiceImpl extends ServiceImpl<TdMiniappTemplateTypeMapper, TdMiniappTemplateType> implements ITdMiniappTemplateTypeService {
    @Override
    public List<TdMiniappTemplateType> getAllTypes() {
        QueryWrapper<TdMiniappTemplateType> queryWrapper = new QueryWrapper<>();
        queryWrapper.orderByAsc("create_date");
        return this.list(queryWrapper);
    }
}
